Subject: Bug#817 closed by Mike Gabriel <[email-masked]> (Re: [X2Go-Dev] Bug#815: x2goserver not installable Ubuntu 14.04)

From: [email-masked] (X2Go Bug Tracking System)
Date: Mon, 16 Mar 2015 07:25:03 +0000

This is an automatic notification regarding your Bug report
which was filed against the nx-libs package:

#817: x2goserver from x2go ppa doesn't install due to unmet dependencies

It has been closed by Mike Gabriel <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <[email-masked]> by
replying to this email.

-- 
815: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=815
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] Bug#815: x2goserver not installable Ubuntu 14.04
From: Mike Gabriel <[email-masked]>
To: Ralf Hemberger <[email-masked]>, [email-masked]
Date: Mon, 16 Mar 2015 07:23:00 +0000

Control: close -1

Hi Ralf,

On  Sa 14 Mär 2015 01:39:35 CET, Ralf Hemberger wrote:

> Package: x2goserver
> Version: 4.0.1.19-0~1062~ubuntu14.04.1
>
> Hello,
>
> today apt-get upgrade removed x2goserver from my ubuntu amd64 machine.
>
> When i try to reinstall (sudo apt-get install x2goserver
> x2goserver-xsession), I finally get:
>

This issue should have been fixed by doing a version bump on nx-libs  
(3.5.0.29 -> 3.5.0.30).

Thanks for reporting,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

Subject: x2goserver from x2go ppa doesn't install due to unmet dependencies
From: Luís Filipe Lucas <[email-masked]>
To: [email-masked]
Date: Sat, 14 Mar 2015 12:33:14 +0000

Package: x2goserver

When I try to install x2goserver from x2go ppa on my ubuntu trusty
machine it fails:

# apt-get install x2goserver
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
x2goserver : Depends: x2goagent (>= 2:3.5.0.25-0~) but it is not going to
be installed
E: Unable to correct problems, you have held broken packages.

# apt-get install x2goagent
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
x2goagent : Depends: nxagent (>= 2:3.5.0.29-0~592~ubuntu14.04.1)
            Depends: nxagent (< 2:3.5.0.29-0~592~ubuntu14.04.1.1)
E: Unable to correct problems, you have held broken packages.

It seems that the recent upgrade of nx-libs on ppa to 3.5.0.29 version is
the root of the problem.

I am using Ubuntu 14.04.2 LTS, kernel 3.13.0-43-generic

Best regards

Luis Lucas